import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css']
})
export class AssignmentsComponent implements OnInit {
  couleur = 'orange';
  ajoutActive = false;
  // champs du formulaire
  nomAssignment?:string = "valeur pré-remplie";

  assignments = [
    {
      nom:"Devoir Angular BUFFA",
      dateDeRendu: "2021-12-18",
      rendu : false
    },
    {
      nom:"Devoir BD MOPOLO",
      dateDeRendu: "2021-10-10",
      rendu : true
    },
    {
      nom:"Devoir Gestion projet Mr Michel Winter",
      dateDeRendu: "2022-01-20",
      rendu : false
    }
  ];

  constructor() { }

  ngOnInit(): void {
  }

  getCouleur(i:number) {
    if(i == 1)
      return 'orange';
    else
      return 'blue';
  }

  onSubmit() {
    console.log("nom = " + this.nomAssignment);
  }
}
